
QGIS Application - Bug report #10279

Join attributes by location - field shifted

2014-05-15 11:00 PM - Tony Wicker

Status: Closed

Priority: High

Assignee:

Category: Processing/QGIS

Affected QGIS version:2.2.0 Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 18708

Description

After joining the attached point and polygon shps the calculated field sums are not correct (or not written to the correct field).  For

example, for point ID=2539262 (the first record), the field SUMCURPOP_ = 7794284.6 and field SUMNITEPOP = 132.  The polygon

fields for CURPOP_13 and NITEPOP_13 both have values of 132.

History

#1 - 2014-05-16 07:40 AM - Giovanni Manghi

- Subject changed from Join attributes by location - field sums incorrect to Join attributes by location - field shifted

- Target version set to Version 2.4

- Priority changed from Normal to High

- Category set to 44

Fields values seems shifted.

#2 - 2014-06-28 07:45 AM - Jürgen Fischer

- Target version changed from Version 2.4 to Future Release - High Priority

#3 - 2016-01-15 04:17 AM - Alexander Bruy

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Fixed in the Processing in master. Reopen if necessary.

#4 - 2017-05-01 01:21 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.

Files

Projects.zip 12.9 KB 2014-05-15 Tony Wicker
